package cn.superdesk.uniorder.dao.mapper.thirdpart.qchjc.invoice;

import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.invoice.QchjcInvoiceApplySupplierEntity;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.invoice.QchjcInvoiceApplySupplierEntityExample;
import cn.superdesk.uniorder.dto.vo.thirdpart.qchjc.invoice.QchjcInvoiceSupplierApplyVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QchjcInvoiceApplySupplierEntityMapper {
    long countByExample(QchjcInvoiceApplySupplierEntityExample example);

    int deleteByExample(QchjcInvoiceApplySupplierEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(QchjcInvoiceApplySupplierEntity record);

    int insertSelective(QchjcInvoiceApplySupplierEntity record);

    List<QchjcInvoiceApplySupplierEntity> selectByExampleWithBLOBs(QchjcInvoiceApplySupplierEntityExample example);

    List<QchjcInvoiceApplySupplierEntity> selectByExample(QchjcInvoiceApplySupplierEntityExample example);

    QchjcInvoiceApplySupplierEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") QchjcInvoiceApplySupplierEntity record, @Param("example") QchjcInvoiceApplySupplierEntityExample example);

    int updateByExampleWithBLOBs(@Param("record") QchjcInvoiceApplySupplierEntity record, @Param("example") QchjcInvoiceApplySupplierEntityExample example);

    int updateByExample(@Param("record") QchjcInvoiceApplySupplierEntity record, @Param("example") QchjcInvoiceApplySupplierEntityExample example);

    int updateByPrimaryKeySelective(QchjcInvoiceApplySupplierEntity record);

    int updateByPrimaryKeyWithBLOBs(QchjcInvoiceApplySupplierEntity record);

    int updateByPrimaryKey(QchjcInvoiceApplySupplierEntity record);

    List<QchjcInvoiceSupplierApplyVo> queryQchjcInvoiceApplySupplierVoListByAccountingOrderSn(String accountingOrderSn);
}